<template>

    <b-button class="loadingbutton mx-3" :disabled="getloading" :variant="variant" @click="onClick">
        <clip-loader class="mr-3" :loading="getloading" :color="color" :size="size" ></clip-loader>
        <slot>Button</slot>
    </b-button>


</template>

<script>
    import { ClipLoader } from "vue-spinner/dist/vue-spinner.min.js";

    export default {
        name: "loadingbutton",
        components: { ClipLoader },
        props: {
            variant: {
                type: String,
                required: true
            },
            onClick: {
                type: Function,
                required: true
            },
            loadingprop: {
                type: Boolean
            }
        },
        data: () => {
            return {
                size: "18px",
                color: "white"
            };
        },
        computed: {
            getloading() {
                return this.loadingprop;
            }
        }
    };
</script>

<style>
    .loadingbutton {
        display: flex;
        transition-duration: 0.3s;
        transition-property: all;
        transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
    }
</style>
